=== debian/rules ===
#!/usr/bin/make -f

# prefix for builds - without leading slash
PF ?= usr

include debian/kernelarch.make

vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo ubuntu; else echo debian; fi)

# Support multiple makes at once based on number of processors
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS=parallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS=
endif

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh)
CROSS_EXT	:= cross$(DEB_VER_ACT)

HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
stamp            := stamp-dir/

CROSS_ARCHES     ?= ppc64el powerpc arm64 armhf armel
CROSS_ARCH       = $(subst .,,$(suffix $@))
KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
CROSS_BIARCH     = $(CROSS_BIARCH_$(CROSS_ARCH))
_gnu_type        = $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f)
CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})

# ARM32 soft-float/hard-float multilibs. These are not yet built in a
# "proper" multilib location, so only build simple dependency packages
ARM32_MULTILIBS :=
ifeq ($(vendor),ubuntu)
  ARM32_MULTILIBS := yes
  ARM32_MULTILIBS := dummy
endif

MIN_VER_GLIBC  := 2.19-0~
MIN_VER_LINUX  := 3.13.0-0~
MIN_VER_GCC    := 4.9.2-10

DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
ifeq ($(vendor),ubuntu)
  VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\.[0-9]*\).*/\1/')
else
  VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
endif
VER_GCC_BASE   := 4.9

VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
VER_GLIBC        := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

BINUTILS_DIR  := /usr/src/binutils
GLIBC_DIR     := /usr/src/glibc
GCC_DIR       := /usr/src/gcc-${VER_GCC_BASE}

GLIBC_PATCHES  := $(CURDIR)/debian/patches/glibc/$(vendor)

# taken from gcc packaging
define unpack_tarball
	tar -x -f $1
endef

info:
	@echo "Binutils version:         ${VER_BINUTILS}	${DEB_VER_BINUTILS}	${PKG_VER_BINUTILS}"
	@echo "GCC version:              ${VER_GCC}       	${DEB_VER_GCC}          ${VER_GCC_BASE}"
	@echo "Glibc version:            ${VER_GLIBC}  		${DEB_VER_GLIBC}"
	@echo "Linux version:            ${VER_LINUX}   	${DEB_VER_LINUX}"
	@echo
	@echo "Target architecture:      ${CROSS_ARCH}"
	@echo "Target GNU type:          ${CROSS_GNU_TYPE}"
	@echo "Host architecture:        ${HOST_ARCH}"
	@echo "Host GNU type:            ${HOST_GNU_TYPE}"


$(stamp)init-dirs:
	mkdir -p $(foreach arch,$(CROSS_ARCHES),debian/tmp.$(arch))
	touch $@

init: $(stamp)init-linux

$(stamp)init-linux:
	@echo START $@
	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
	touch $@

$(stamp)build-linux.%: $(stamp)init-linux
	@echo START $@
	cp debian/builddeb linux-source-$(VER_LINUX)/scripts/package/
	sed -i '/$$(MAKE)/d' linux-source-$(VER_LINUX)/scripts/package/Makefile
	set -e; \
	export DEBMAIL="`dpkg-parsechangelog |grep ^Maintainer | sed -e 's/^Maintainer: //g'`"; \
	export DEBEMAIL="`echo $$DEBMAIL | sed -e 's/.*<\(.*\)>/\1/g'`"; \
	export DEBFULLNAME="`echo $$DEBMAIL | sed -e 's/\(.*\)<.*>/\1/g'`"; \
	export ARCH=${KERNEL_ARCH} ;\
	export KBUILD_DEBARCH=${CROSS_ARCH} ;\
	export KDEB_PKGVERSION=${DEB_VER_LINUX} ;\
	cd linux-source-${VER_LINUX} ;\
	make oldnoconfig ;\
	make deb-pkg
	rm -rf tmp
	install -d tmp
	dpkg-deb -R linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb debian/tmp.${CROSS_ARCH}
	dpkg-deb -R linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb tmp
	cd tmp/usr/include ;\
	rm -rf drm scsi ;\
	rm -f `find . -name .install` ;\
	rm -f `find . -name ..install.cmd`
	mkdir tmp/usr/${CROSS_GNU_TYPE}
	mv tmp/usr/include/ tmp/usr/${CROSS_GNU_TYPE}/include/
	rm tmp/DEBIAN/md5sums
	install -d -m 755 tmp/usr/share/lintian/overrides
	echo "linux-libc-dev-${CROSS_ARCH}-cross binary: non-standard-dir-in-usr" \
	  >> tmp/usr/share/lintian/overrides/linux-libc-dev-${CROSS_ARCH}-cross
	fakeroot dpkg-deb -b tmp linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb
	rm -rf tmp
	install -d tmp
	touch $@

$(stamp)install-linux.%: $(stamp)build-linux.% $(stamp)init-dirs
	@echo START $@
	dpkg-deb -x linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb debian/linux-libc-dev-${CROSS_ARCH}-cross
	touch $@

define init_binutils
	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
	set -e; \
	cd binutils-${PKG_VER_BINUTILS} ;\
	cp -a ${BINUTILS_DIR}/debian/ . ;\
	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt --quiltrc /dev/null  push -a; \
	fi;
endef

$(stamp)init-binutils:
	@echo START $@
	$(call init_binutils)
	touch $@

$(stamp)build-binutils.%: $(stamp)init-binutils
	@echo START $@
	set -e ;\
	cd binutils-${PKG_VER_BINUTILS} ;\
	echo ${CROSS_ARCH} > debian/target ;\
	WITH_SYSROOT=${CURDIR}/debian/tmp.${CROSS_ARCH} PATCHED_SOURCES=yes PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -d
	touch $@

$(stamp)install-binutils.%: $(stamp)build-binutils.% $(stamp)init-dirs
	@echo START $@
	dpkg-deb -x binutils-${CROSS_GNU_TYPE}_${DEB_VER_BINUTILS}_${HOST_ARCH}.deb debian/tmp.${CROSS_ARCH}
	rm -f debian/tmp.${CROSS_ARCH}/usr/bin/*.exe
	for i in debian/tmp.${CROSS_ARCH}/usr/bin/*; do \
	  mv $$i $$i.exe; \
	  ( \
	    echo '#!/bin/sh'; \
	    echo 'LD_LIBRARY_PATH=$(CURDIR)/debian/tmp.${CROSS_ARCH}/usr/$(HOST_GNU_TYPE)/${CROSS_GNU_TYPE}/lib$${LD_LIBRARY_PATH:+:$$LD_LIBRARY_PATH}'; \
	    echo 'export LD_LIBRARY_PATH'; \
	    echo 'exec $$0.exe "$$@"'; \
	  ) > $$i; \
	  chmod +x $$i; \
	done
	touch $@

$(stamp)init-gcc:
	@echo START $@
	set -e; \
	mkdir gcc -p ; \
	cd gcc ; \
	ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz ;\
	cp -a  ${GCC_DIR}/debian/ . ; \
	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc/series)" ]; then \
	  QUILT_PATCHES=${CURDIR}/debian/patches/gcc quilt --quiltrc /dev/null  push -a ; \
	fi;
	touch $@

$(stamp)build-gcc1.%: $(stamp)init-gcc $(stamp)install-binutils.%
	@echo START $@
	echo ${CROSS_ARCH} >gcc/debian/target
	export PATH=${CURDIR}/debian/tmp.${CROSS_ARCH}/$(PF)/bin/:${PATH} ;\
	cd gcc && DH_VERBOSE=1 WITH_SYSROOT=/ WITH_BUILD_SYSROOT=${CURDIR}/debian/tmp.${CROSS_ARCH} DEB_STAGE=stage1 PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -d
	touch $@

$(stamp)install-gcc1.%: $(stamp)build-gcc1.%
	@echo START $@
	$(call install_gcc)
	cp -r gcc/build/gcc/include debian/tmp.${CROSS_ARCH}/$(PF)/lib/gcc-cross/${CROSS_GNU_TYPE}/${VER_GCC_BASE}/
	cp -r gcc/build/gcc/include-fixed debian/tmp.${CROSS_ARCH}/$(PF)/lib/gcc-cross/${CROSS_GNU_TYPE}/${VER_GCC_BASE}/
ifneq (,$(ARM32_MULTILIBS))
	$(if $(filter $(CROSS_ARCH),armhf), \
