## cross-toolchain-base 2ubuntu2

=== debian/changelog ===
cross-toolchain-base (2ubuntu2) wily; urgency=medium

  * Fix the cross version for this upload.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 May 2015 02:43:43 +0200

cross-toolchain-base (2ubuntu1) wily; urgency=medium

  * Add missing build dependencies on perl libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 May 2015 23:19:52 +0200
