=== debian/control ===
--- 
+++ 
@@ -21,7 +21,9 @@
   make (>= 3.81), module-init-tools, symlinks,
   patchutils, procps, quilt, rdfind, realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
-  asciidoc, texinfo, cpio
+  asciidoc, texinfo, cpio,
+  libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
+  libfile-homedir-perl, liblocale-gettext-perl
 Build-Conflicts: dpkg-cross, binutils-powerpc64le-linux-gnu, libc6-ppc64el-cross, linux-libc-dev-ppc64el-cross, binutils-powerpc-linux-gnu, libc6-powerpc-cross, linux-libc-dev-powerpc-cross, binutils-aarch64-linux-gnu, libc6-arm64-cross, linux-libc-dev-arm64-cross, binutils-arm-linux-gnueabihf, libc6-armhf-cross, linux-libc-dev-armhf-cross, binutils-arm-linux-gnueabi, libc6-armel-cross, linux-libc-dev-armel-cross,
 
 Package: linux-libc-dev-ppc64el-cross
@@ -244,6 +246,26 @@
  Contains the symlinks, headers, and object files needed to compile
  and link programs which use the standard C library.
 
+Package: libc6-dev-armel-armhf-cross
+Architecture: all
+Depends: libc6-dev-armel-cross
+Description: Dummy package to get libc6-dev:armel installed
+
+Package: libc6-armel-armhf-cross
+Architecture: all
+Depends: libc6-armel-cross
+Description: Dummy package to get libc6:armel installed
+
+Package: libc6-dev-armhf-armel-cross
+Architecture: all
+Depends: libc6-dev-armhf-cross
+Description: Dummy package to get libc6-dev:armhf installed
+
+Package: libc6-armhf-armel-cross
+Architecture: all
+Depends: libc6-armhf-cross
+Description: Dummy package to get libc6:armhf installed
+
 Package: libc6-ppc64-powerpc-cross
 Architecture: all
 Section: libs
@@ -262,15 +284,3 @@
 #Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 # This package was generated by dpkg-cross for cross compiling.
 # .
-# This package contains the detached debugging symbols for the GNU C
-# library.
-
-Package: libc6-dev-ppc64-powerpc-cross
-Architecture: all
-Section: libdevel
-Depends: ${misc:Depends}
-Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- Contains the symlinks, headers, and object files needed to compile
- and link programs which use the standard C library.
