## cross-toolchain-base 2ubuntu5

=== debian/changelog ===
cross-toolchain-base (2ubuntu5) wily; urgency=medium

  * Fix stubs-hard.h installation for libc6-dev-armel-cross.
  * Fix stubs-soft.h installation for libc6-dev-armhf-cross.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 May 2015 21:31:58 +0200

cross-toolchain-base (2ubuntu3) wily; urgency=medium

  * Fix source version for the armel/armhf dummy packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 May 2015 10:24:31 +0200
