=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh)
-DEB_VER_ACT      := 2
+DEB_VER_ACT      := 4
 CROSS_EXT	:= cross$(DEB_VER_ACT)
 
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
