## cross-toolchain-base 6ubuntu1

=== debian/changelog ===
cross-toolchain-base (6ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 15:20:59 +0200

cross-toolchain-base (6) unstable; urgency=medium

  * Build packages for s390x.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Sep 2015 14:16:44 +0200

cross-toolchain-base (5) unstable; urgency=medium

  * Add build conflicts on libc6-amd64, libc6-i386, libc6-x32.
  * Call gzip with -n for reproducible builds.
  * Build using GCC 4.9.3.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jul 2015 12:11:55 +0200

cross-toolchain-base (4) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow one to to build -dbg packages.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Sun, 31 May 2015 13:34:25 +0200

cross-toolchain-base (3) unstable; urgency=medium

  [ Dimitri Ledkov ]
  * Bootstrap linux for multiple architectures.

  [ Matthias Klose ]
  * Bootstrap glibc/gcc for multiple architectures.
  * Add Built-Using attributes.
  * Rename changelog in the kernel header packages and install the
    cross-toolchain-base changelog.
  * Initial upload. Closes: #784077.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 10:38:50 +0200

cross-toolchain-base (2ubuntu8) wily; urgency=medium

  * Add Built-Using attributes.
  * Build again -dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2015 23:40:00 +0200

cross-toolchain-base (2ubuntu7) wily; urgency=medium

  * Update embedded dpkg-cross to match 2.6.13ubuntu1 upload.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 May 2015 19:12:25 -0600

cross-toolchain-base (2ubuntu6) wily; urgency=medium

  * Adjust the ARM32 multilib library paths.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 May 2015 16:37:14 +0200
