=== debian/control ===
Source: cross-toolchain-base
Section: devel
Priority: extra
Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
Vcs-Browser: https://code.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
Vcs-Git: https://git.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
Standards-Version: 3.9.6
Build-Depends: binutils-multiarch (>= 2.20.1-3~),
  dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
  binutils-source (>= 2.24.90),
  glibc-source (>= 2.19-0~),
  gcc-4.9-source (>= 4.9.3-1~),
  linux-source (>= 3.13.0-0~),
  autoconf (>= 2.64), autoconf2.64, autogen,
  automake, bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
  dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
  gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
  libcloog-isl-dev (>= 0.12.2~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
  make (>= 3.81), module-init-tools, symlinks,
  patchutils, procps, quilt, rdfind, realpath (>= 1.9.12),
  sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
  asciidoc, texinfo, cpio, python3,
  libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
  libfile-homedir-perl, liblocale-gettext-perl
Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
  binutils-s390x-linux-gnu, libc6-s390x-cross, linux-libc-dev-s390x-cross, binutils-powerpc64le-linux-gnu, libc6-ppc64el-cross, linux-libc-dev-ppc64el-cross, binutils-powerpc-linux-gnu, libc6-powerpc-cross, linux-libc-dev-powerpc-cross, binutils-aarch64-linux-gnu, libc6-arm64-cross, linux-libc-dev-arm64-cross, binutils-arm-linux-gnueabihf, libc6-armhf-cross, linux-libc-dev-armhf-cross, binutils-arm-linux-gnueabi, libc6-armel-cross, linux-libc-dev-armel-cross,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]

Package: linux-libc-dev-s390x-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-s390x-cross, linux-libc-dev-s390x-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-ppc64el-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-ppc64el-cross, linux-libc-dev-ppc64el-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-powerpc-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-powerpc-cross, linux-libc-dev-powerpc-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-arm64-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-arm64-cross, linux-libc-dev-arm64-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-armhf-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-armhf-cross, linux-libc-dev-armhf-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-armel-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-armel-cross, linux-libc-dev-armel-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: libc6-s390x-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-s390x-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-s390x-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-s390x-cross (<< 2.20.1-1), binutils-gold-s390x-cross (<< 2.20.1-11)
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-ppc64el-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-ppc64el-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-ppc64el-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-ppc64el-cross (<< 2.20.1-1), binutils-gold-ppc64el-cross (<< 2.20.1-11)
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-powerpc-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-powerpc-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-powerpc-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-powerpc-cross (<< 2.20.1-1), binutils-gold-powerpc-cross (<< 2.20.1-11)
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-arm64-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-arm64-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-arm64-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-arm64-cross (<< 2.20.1-1), binutils-gold-arm64-cross (<< 2.20.1-11)
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-armhf-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-armhf-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-armhf-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-armhf-cross (<< 2.20.1-1), binutils-gold-armhf-cross (<< 2.20.1-11)
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-armel-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Built-Using: ${bu:glibc}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-armel-cross
