=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,17 @@
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh)
-DEB_VER_ACT      := 4
 CROSS_EXT	:= cross$(DEB_VER_ACT)
 
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 stamp            := stamp-dir/
 
-CROSS_ARCHES     ?= ppc64el powerpc arm64 armhf armel
+ifeq ($(vendor),debian)
+  skip_dbg_packages = yes
+endif
+
+CROSS_ARCHES     ?= s390x ppc64el powerpc arm64 armhf armel # mips mipsel # mips64 mips64el
 CROSS_ARCH       = $(subst .,,$(suffix $@))
 KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
 CROSS_BIARCH     = $(CROSS_BIARCH_$(CROSS_ARCH))
@@ -41,7 +44,7 @@
 
 MIN_VER_GLIBC  := 2.19-0~
 MIN_VER_LINUX  := 3.13.0-0~
-MIN_VER_GCC    := 4.9.2-10
+MIN_VER_GCC    := 4.9.3-1~
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),ubuntu)
@@ -58,6 +61,11 @@
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 VER_GLIBC        := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
+
+LINUX_BUILT_USING := linux (= $(DEB_VER_LINUX))
+GLIBC_BUILT_USING := binutils (= $(DEB_VER_BINUTILS)), linux (= $(DEB_VER_LINUX)), gcc-$(VER_GCC_BASE) (= $(DEB_VER_GCC)), glibc (= $(DEB_VER_GLIBC))
+
+control_vars = '-Vbu:linux=$(LINUX_BUILT_USING)' '-Vbu:glibc=$(GLIBC_BUILT_USING)'
 
 BINUTILS_DIR  := /usr/src/binutils
 GLIBC_DIR     := /usr/src/glibc
@@ -80,6 +88,10 @@
 	@echo "Target GNU type:          ${CROSS_GNU_TYPE}"
 	@echo "Host architecture:        ${HOST_ARCH}"
 	@echo "Host GNU type:            ${HOST_GNU_TYPE}"
+	@echo
+	@echo "Built using information:"
+	@echo '  linux: $(LINUX_BUILT_USING)'
+	@echo '  glibc: $(GLIBC_BUILT_USING)'
 
 
 $(stamp)init-dirs:
@@ -129,6 +141,12 @@
 $(stamp)install-linux.%: $(stamp)build-linux.% $(stamp)init-dirs
 	@echo START $@
 	dpkg-deb -x linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb debian/linux-libc-dev-${CROSS_ARCH}-cross
+	gunzip debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.gz
+	mv debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian \
+	  debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.linux
+	gzip -cn9 debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.linux
+	gzip -cn9 debian/changelog \
+	  > debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.gz
 	touch $@
 
 define init_binutils
@@ -173,26 +191,3 @@
 $(stamp)init-gcc:
 	@echo START $@
 	set -e; \
-	mkdir gcc -p ; \
-	cd gcc ; \
-	ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz ;\
-	cp -a  ${GCC_DIR}/debian/ . ; \
-	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc/series)" ]; then \
-	  QUILT_PATCHES=${CURDIR}/debian/patches/gcc quilt --quiltrc /dev/null  push -a ; \
-	fi;
-	touch $@
-
-$(stamp)build-gcc1.%: $(stamp)init-gcc $(stamp)install-binutils.%
-	@echo START $@
-	echo ${CROSS_ARCH} >gcc/debian/target
-	export PATH=${CURDIR}/debian/tmp.${CROSS_ARCH}/$(PF)/bin/:${PATH} ;\
-	cd gcc && DH_VERBOSE=1 WITH_SYSROOT=/ WITH_BUILD_SYSROOT=${CURDIR}/debian/tmp.${CROSS_ARCH} DEB_STAGE=stage1 PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -d
-	touch $@
-
-$(stamp)install-gcc1.%: $(stamp)build-gcc1.%
-	@echo START $@
-	$(call install_gcc)
-	cp -r gcc/build/gcc/include debian/tmp.${CROSS_ARCH}/$(PF)/lib/gcc-cross/${CROSS_GNU_TYPE}/${VER_GCC_BASE}/
-	cp -r gcc/build/gcc/include-fixed debian/tmp.${CROSS_ARCH}/$(PF)/lib/gcc-cross/${CROSS_GNU_TYPE}/${VER_GCC_BASE}/
-ifneq (,$(ARM32_MULTILIBS))
-	$(if $(filter $(CROSS_ARCH),armhf), \
